class ResponseType():
  CH_STATUS = "CH_STATUS"
  CH_FAILED = "CH_FAILED"
  LIVETV_READY = "LIVETV_READY"
  MISSING_TELEPORT_NAME = "MISSING_TELEPORT_NAME"
  INVALID_KEY = "INVALID_KEY"

class ChannelStatusReason():
  LOCAL = "LOCAL"
  REMOTE = "REMOTE"
  RECORDING = "RECORDING"

class ChannelSetFailureReason():
  NO_LIVE = "NO_LIVE"
  MISSING_CHANNEL = "MISSING_CHANNEL"
  MALFORMED_CHANNEL = "MALFORMED_CHANNEL"
  INVALID_CHANNEL = "INVALID_CHANNEL"

class IRCodeCommand():
  UP = "UP"
  DOWN = "DOWN"
  LEFT = "LEFT"
  RIGHT = "RIGHT"
  SELECT = "SELECT"
  TIVO = "TIVO"
  LIVETV = "LIVETV"
  GUIDE = "GUIDE"
  INFO = "INFO"
  EXIT = "EXIT"
  THUMBSUP = "THUMBSUP"
  THUMBSDOWN = "THUMBSDOWN"
  CHANNELUP = "CHANNELUP"
  CHANNELDOWN = "CHANNELDOWN"
  MUTE = "MUTE"
  VOLUMEUP = "VOLUMEUP"
  VOLUMEDOWN = "VOLUMEDOWN"
  TVINPUT = "TVINPUT"
  VIDEO_MODE_FIXED_480i = "VIDEO_MODE_FIXED_480i"
  VIDEO_MODE_FIXED_480p = "VIDEO_MODE_FIXED_480p"
  VIDEO_MODE_FIXED_720p = "VIDEO_MODE_FIXED_720p"
  VIDEO_MODE_FIXED_1080i = "VIDEO_MODE_FIXED_1080i"
  VIDEO_MODE_HYBRID = "VIDEO_MODE_HYBRID"
  VIDEO_MODE_HYBRID_720p = "VIDEO_MODE_HYBRID_720p"
  VIDEO_MODE_HYBRID_1080i = "VIDEO_MODE_HYBRID_1080i"
  VIDEO_MODE_NATIVE = "VIDEO_MODE_NATIVE"
  CC_ON = "CC_ON"
  CC_OFF = "CC_OFF"
  OPTIONS = "OPTIONS"
  ASPECT_CORRECTION_FULL = "ASPECT_CORRECTION_FULL"
  ASPECT_CORRECTION_PANEL = "ASPECT_CORRECTION_PANEL"
  ASPECT_CORRECTION_ZOOM = "ASPECT_CORRECTION_ZOOM"
  ASPECT_CORRECTION_WIDE_ZOOM = "ASPECT_CORRECTION_WIDE_ZOOM"
  PLAY = "PLAY"
  FORWARD = "FORWARD"
  REVERSE = "REVERSE"
  PAUSE = "PAUSE"
  SLOW = "SLOW"
  REPLAY = "REPLAY"
  ADVANCE = "ADVANCE"
  RECORD = "RECORD"
  NUM0 = "NUM0"
  NUM1 = "NUM1"
  NUM2 = "NUM2"
  NUM3 = "NUM3"
  NUM4 = "NUM4"
  NUM5 = "NUM5"
  NUM6 = "NUM6"
  NUM7 = "NUM7"
  NUM8 = "NUM8"
  NUM9 = "NUM9"
  ENTER = "ENTER"
  CLEAR = "CLEAR"
  ACTION_A = "ACTION_A"
  ACTION_B = "ACTION_B"
  ACTION_C = "ACTION_C"
  ACTION_D = "ACTION_D"
  BACK = "BACK"
  WINDOW = "WINDOW"

class KeyboardCommand():
  A = "A"
  B = "B"
  C = "C"
  D = "D"
  E = "E"
  F = "F"
  G = "G"
  H = "H"
  I = "I"
  J = "J"
  K = "K"
  L = "L"
  M = "M"
  N = "N"
  O = "O"
  P = "P"
  Q = "Q"
  R = "R"
  S = "S"
  T = "T"
  U = "U"
  V = "V"
  W = "W"
  X = "X"
  Y = "Y"
  Z = "Z"
  MINUS = "MINUS"
  EQUALS = "EQUALS"
  LBRACKET = "LBRACKET"
  RBRACKET = "RBRACKET"
  BACKSLASH = "BACKSLASH"
  SEMICOLON = "SEMICOLON"
  QUOTE = "QUOTE"
  COMMA = "COMMA"
  PERIOD = "PERIOD"
  SLASH = "SLASH"
  BACKQUOTE = "BACKQUOTE"
  SPACE = "SPACE"
  KBDUP = "KBDUP"
  KBDDOWN = "KBDDOWN"
  KBDLEFT = "KBDLEFT"
  KBDRIGHT = "KBDRIGHT"
  PAGEUP = "PAGEUP"
  PAGEDOWN = "PAGEDOWN"
  HOME = "HOME"
  END = "END"
  CAPS = "CAPS"
  LSHIFT = "LSHIFT"
  RSHIFT = "RSHIFT"
  INSERT = "INSERT"
  BACKSPACE = "BACKSPACE"
  DELETE = "DELETE"
  KBDENTER = "KBDENTER"
  STOP = "STOP"
  VIDEO_ON_DEMAND = "VIDEO_ON_DEMAND"

class TeleportType():
  TIVO = "TIVO"
  LIVETV = "LIVETV"
  GUIDE = "GUIDE"
  NOWPLAYING = "NOWPLAYING"

class SpecialCommand():
  def WAIT(time):
    return "WAIT {}".format(time)
